document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Start Journey button animation
  const startButton = document.getElementById('startJourney');
  startButton.addEventListener('click', () => {
    document.querySelector('#discover').scrollIntoView({
      behavior: 'smooth'
    });
  });

  // Wisdom quotes rotation
  const wisdomContainer = document.getElementById('wisdomContainer');
  const wisdomQuotes = [
    "The meaning of life is to find your gift. The purpose of life is to give it away.",
    "Life is not about finding yourself. Life is about creating yourself.",
    "The purpose of life is a life of purpose.",
    "The two most important days in your life are the day you are born and the day you find out why."
  ];

  let currentQuote = 0;
  
  function rotateQuotes() {
    wisdomContainer.style.opacity = '0';
    setTimeout(() => {
      wisdomContainer.textContent = wisdomQuotes[currentQuote];
      wisdomContainer.style.opacity = '1';
      currentQuote = (currentQuote + 1) % wisdomQuotes.length;
    }, 500);
  }

  rotateQuotes();
  setInterval(rotateQuotes, 5000);

  // Save textarea content to localStorage
  document.querySelectorAll('textarea').forEach((textarea, index) => {
    const savedContent = localStorage.getItem(`reflection-${index}`);
    if (savedContent) {
      textarea.value = savedContent;
    }

    textarea.addEventListener('input', () => {
      localStorage.setItem(`reflection-${index}`, textarea.value);
    });
  });
});
